Mailinglist Archive: opensuse-updates (174 mails)

< Previous Next >
openSUSE-SU-2015:1995-1: moderate: Security update for libsndfile
openSUSE Security Update: Security update for libsndfile
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:1995-1
Rating: moderate
References: #953516 #953519 #953521
Cross-References: CVE-2014-9756 CVE-2015-7805 CVE-2015-8075

Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

The libsndfile package was updated to fix three security issues:

- CVE-2015-7805: fix for heap overflow via specially crafted AIFF header
(bsc#953516)
- CVE-2015-8075: fix for out of bounds read access in function
psf_strlcpy_crlf (bsc#953519)
- CVE-2014-9756: fix a divide-by-zero issue that can lead to an DoS
(bsc#953521)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-742=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-742=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libsndfile-debugsource-1.0.25-19.7.1
libsndfile-devel-1.0.25-19.7.1
libsndfile-progs-1.0.25-19.7.1
libsndfile-progs-debuginfo-1.0.25-19.7.1
libsndfile-progs-debugsource-1.0.25-19.7.1
libsndfile1-1.0.25-19.7.1
libsndfile1-debuginfo-1.0.25-19.7.1

- openSUSE 13.2 (x86_64):

libsndfile1-32bit-1.0.25-19.7.1
libsndfile1-debuginfo-32bit-1.0.25-19.7.1

- openSUSE 13.1 (i586 x86_64):

libsndfile-debugsource-1.0.25-17.7.1
libsndfile-devel-1.0.25-17.7.1
libsndfile-progs-1.0.25-17.7.1
libsndfile-progs-debuginfo-1.0.25-17.7.1
libsndfile-progs-debugsource-1.0.25-17.7.1
libsndfile1-1.0.25-17.7.1
libsndfile1-debuginfo-1.0.25-17.7.1

- openSUSE 13.1 (x86_64):

libsndfile1-32bit-1.0.25-17.7.1
libsndfile1-debuginfo-32bit-1.0.25-17.7.1


References:

https://www.suse.com/security/cve/CVE-2014-9756.html
https://www.suse.com/security/cve/CVE-2015-7805.html
https://www.suse.com/security/cve/CVE-2015-8075.html
https://bugzilla.suse.com/953516
https://bugzilla.suse.com/953519
https://bugzilla.suse.com/953521


< Previous Next >
This Thread
  • No further messages